
QGIS Application - Bug report #20925

Network KML not refreshing

2019-01-06 04:21 AM - Phil Wyatt

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28744

Description

KML added via vector protocol

http://www.fire.tas.gov.au/Show?pageId=boundaryKml2|layername=Burnt Area

Cant be refreshed - need to close QGIS and reopen to see updates. F5 key does not refresh

URL taken from kml at following site

http://www.fire.tas.gov.au/Show?pageId=xmlFeedsHome

History

#1 - 2019-01-07 09:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

I got a "page not found" with the kml link. can you please attach it? Thanks.

#2 - 2019-01-07 10:17 AM - Phil Wyatt

http://www.fire.tas.gov.au/Show?pageId=boundaryKml2 (just take off the layer name at the end)

#3 - 2019-01-07 10:19 AM - Giovanni Manghi

Phil Wyatt wrote:

http://www.fire.tas.gov.au/Show?pageId=boundaryKml2 (just take off the layer name at the end)

does it update frequently?

#4 - 2019-01-07 10:45 AM - Phil Wyatt

- File gearth.kml added

Generally whilst fires are underway its likely to refresh every 4 - 6 hours (depending on the number of fires). Other layers within the attached file (from
which I got the URL) are updated more frequently

#5 - 2019-01-07 10:47 AM - Giovanni Manghi

Does it works as expected on 2.18?

#6 - 2019-01-07 10:53 AM - Phil Wyatt

I would need to check again but my suspicion is NO.

Drag and drop of the gearth.kml doesnt work however I understand that is because of the network connections.

#7 - 2019-01-16 01:41 AM - Phil Wyatt

Giovanni Manghi wrote:

Phil Wyatt wrote:

http://www.fire.tas.gov.au/Show?pageId=boundaryKml2 (just take off the layer name at the end)

does it update frequently?

Today will be a good day to watch this URL - fires everywhere and changes will be made regularly

#8 - 2019-03-09 10:16 AM - Giovanni Manghi

- Status changed from Feedback to Open

Files

gearth.kml 1.51 KB 2019-01-07 Phil Wyatt
